net.dontdrinkandroot.visualization

## Class Spline

- java.lang.Object
- - java.awt.geom.Path2D
  - - java.awt.geom.Path2D.Double
    - - net.dontdrinkandroot.visualization.Spline

All Implemented Interfaces:
  Shape, Serializable, Cloneable

    public class Spline
    extends Path2D.Double

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.awt.geom.Path2D

`Path2D.Double, Path2D.Float`

### Field Summary

Fields
`static int` `MINPOINTS` Minimum number of required points

### Fields inherited from class java.awt.geom.Path2D

`WIND_EVEN_ODD, WIND_NON_ZERO`

### Constructor Summary

Constructors
Constructor and Description
`Spline(List<Point2D> points, float slack, boolean closed)`

### Method Summary

Methods
`void` `curveTo(Point2D cp1, Point2D cp2, Point2D p2)`
`Vector` `getEndVector()`
`Vector` `getStartVector()`

### Methods inherited from class java.awt.geom.Path2D.Double

`append, clone, curveTo, getBounds2D, getPathIterator, lineTo, moveTo, quadTo, transform`

### Methods inherited from class java.awt.geom.Path2D

`append, closePath, contains, contains, contains, contains, contains, contains, contains, contains, createTransformedShape, getBounds, getCurrentPoint, getPathIterator, getWindingRule, intersects, intersects, intersects, intersects, reset, setWindingRule`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MINPOINTS

    public static final int MINPOINTS

Minimum number of required points

See Also:
  Constant Field Values

### Constructor Detail

#### Spline

    public Spline(List<Point2D> points,
          float slack,
          boolean closed)

### Method Detail

#### curveTo

    public final void curveTo(Point2D cp1,
               Point2D cp2,
               Point2D p2)

#### getStartVector

    public Vector getStartVector()

#### getEndVector

    public Vector getEndVector()